org.keycloak.dom.saml.v2.assertion

## Class KeyInfoConfirmationDataType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.SubjectConfirmationDataType
  - - org.keycloak.dom.saml.v2.assertion.KeyInfoConfirmationDataType

- All Implemented Interfaces:
    Serializable

      public class KeyInfoConfirmationDataType
      extends SubjectConfirmationDataType

  Java class for KeyInfoConfirmationDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyInfoConfirmationDataType">
         <complexContent>
           <restriction base="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmationDataType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `keyInfo`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.assertion.SubjectConfirmationDataType

      `address, inResponseTo, notBefore, notOnOrAfter, recipient`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyInfoConfirmationDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getKeyInfo()`
    `void` | `setKeyInfo(Element keyInfo)`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.assertion.SubjectConfirmationDataType

      `addOtherAttribute, getAddress, getAnyType, getInResponseTo, getNotBefore, getNotOnOrAfter, getOtherAttributes, getRecipient, removeOtherAttribute, setAddress, setAnyType, setInResponseTo, setNotBefore, setNotOnOrAfter, setRecipient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyInfo

          protected Element keyInfo

  - ### Constructor Detail

    - #### KeyInfoConfirmationDataType

          public KeyInfoConfirmationDataType()

  - ### Method Detail

    - #### getKeyInfo

          public Element getKeyInfo()

    - #### setKeyInfo

          public void setKeyInfo(Element keyInfo)

Copyright © 2016 JBoss by Red Hat. All rights reserved.